Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367438 - When failing on execute() when using COCO the end method is called before the child commands ends
Summary: When failing on execute() when using COCO the end method is called before the...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0
Assignee: Liron Aravot
QA Contact: Aleksei Slaikovskii
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 12:01 UTC by Liron Aravot
Modified: 2017-02-15 14:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1366196
Environment:
Last Closed: 2017-02-15 14:53:54 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 53565 master MERGED core: CommandBase - set correct status on failure 2016-08-16 12:04:20 UTC

Description Liron Aravot 2016-08-16 12:01:16 UTC
Description of problem:
When executing commands using the COCO infrastructure and failing during the command execute() method the command will reach the end method immediately although it might have running child commands
 
Actual results:
endAction() is executed before all the child commands ends

Expected results:
endAction() should be executed only after the child commands has ended

Additional info:

Comment 1 Red Hat Bugzilla Rules Engine 2016-08-16 12:01:27 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 2 Red Hat Bugzilla Rules Engine 2016-08-16 12:04:40 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 3 Oved Ourfali 2016-09-04 08:03:42 UTC
After discussing offline with Liron, targeting this to 4.1.

Comment 4 Lukas Svaty 2016-11-15 14:08:53 UTC
Can you provide reproduction steps for this?

Comment 5 Liron Aravot 2016-11-22 13:15:56 UTC
Sure..it might be bit tricky though
1. Add a VM with 2 disks
2. Create a VM snapshot with both disks and cause it to fail on the 2nd disk createVolume() vds execution.
3. See that CreateAllSnapshotsFromVmCommand.endAction() is executed only after the 1st disk operation ends and not immediately.

Comment 8 Sandro Bonazzola 2016-12-12 13:56:44 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 9 Aleksei Slaikovskii 2017-02-01 14:34:11 UTC
Verified on ovirt-engine-4.1.1-0.0.master.20170201124236.git503df00.el7.centos.noarch


Note You need to log in before you can comment on or make changes to this bug.